CLASS TEMPLATE(3)

NAME
boost::interprocess::flat_map_index

SYNOPSIS

// In header: <boost/interprocess/indexes/flat_map_index.hpp>
template<typename MapConfig>
class flat_map_index : public boost::container::flat_map< MapConfig > {
public:
  // construct/copy/destruct
  flat_map_index(segment_manager_base *);
  // public member functions
  void reserve(std::size_t);
  void shrink_to_fit();
};

DESCRIPTION

Index type based in flat_map. Just derives from flat_map and defines the interface needed by managed memory segments.

  flat_map_index public construct/copy/destruct

    1.

    flat_map_index(segment_manager_base * segment_mngr);

    Constructor. Takes a pointer to the segment manager. Can throw

  flat_map_index public member functions

    1.

    void reserve(std::size_t n);
    This reserves memory to optimize the insertion of n elements in the index. .RE

        2.

        void shrink_to_fit();
        This frees all unnecessary memory. .RE